
<div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
  <h5>{{ tTitulo }}</h5>
</div>
<div class="row">
  <div class="col-12">
    <div class="form-row">
      <div class="form-group col-12 col-lg-4">
        <div class="form-row">
          <div class="form-group col-12">
            <div class="card mb-1">
              <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between"><a class="d-block" href="#divFiltros" data-toggle="collapse" role="button" aria-expanded="true" aria-controls="divFiltros">
                  <h6 class="m-0 font-weight-bold text-primary">Filtros</h6></a>
                <div class="dropdown no-arrow"><a class="dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="fas fa-bars fa-sm fa-fw text-gray-400"></i></a>
                  <div class="dropdown-menu dropdown-menu-right shadow animated--fade-in" aria-labelledby="dropdownMenuLink"><a class="dropdown-item h6" href="#" (click)="Descargar_Excel()"><span class="fas fa-file-excel fa-sm fa-fw mr-2 text-gray-400"></span>Descargar Excel</a></div>
                </div>
              </div>
              <div class="card-body collapse show" id="divFiltros">
                <div class="form-row">
                  <div class="form-group col-12">
                    <label class="form-label h6" for="ddlTipo">Tipo</label>
                    <ng-multiselect-dropdown class="ControlInput--Multiselect" [placeholder]="'Tipo'" [data]="tTipos" [settings]="tConfiguracionTipo" (onSelect)="SeleccionarTipo($event)" (onDeSelect)="DeseleccionarTipo($event)" size-select="sm" id="ddlTipo"></ng-multiselect-dropdown>
                  </div>
                </div>
                <div class="form-row">
                  <div class="form-group col-12">
                    <label class="form-label h6" for="ddlEstatus">Estatus</label>
                    <ng-multiselect-dropdown class="ControlInput--Multiselect" [placeholder]="'Estatus'" [data]="tEstatus" [settings]="tConfiguracionEstatus" (onSelect)="SeleccionarEstatus($event)" (onDeSelect)="DeseleccionarEstatus($event)" size-select="sm" id="ddlEstatus"></ng-multiselect-dropdown>
                  </div>
                </div>
                <div class="form-row">
                  <div class="form-group col-12">
                    <label class="form-label h6" for="ddlSituacion">Situacion</label>
                    <ng-multiselect-dropdown class="ControlInput--Multiselect" [placeholder]="'Situaciones'" [data]="tSituacion" (onSelect)="SeleccionarSituacion($event)" (onDeSelect)="DeseleccionarSituacion($event)" [settings]="tConfiguracionSituacion" size-select="sm" id="ddlSituacion"></ng-multiselect-dropdown>
                  </div>
                </div>
                <div class="form-row">
                  <div class="form-group col-12">
                    <div class="custom-control custom-checkbox">
                      <input class="custom-control-input" id="chkFechaC" type="checkbox" [(ngModel)]="tFiltrarFechaC"/>
                      <label class="custom-control-label h6" for="chkFechaC">Fecha de creación</label>
                    </div>
                    <div class="ControlInput">
                      <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-calendar-alt"></i></span></div>
                      <input class="ControlInput--Input" type="text" placeholder="" [(ngModel)]="tFechasCreacion" (onHidden)="Seleccionar_Fecha($event)" bsDaterangepicker="" [bsConfig]="{ adaptivePosition: true , rangeInputFormat: 'YYYY-MM-DD' }" size="sm" [disabled]="!tFiltrarFechaC" id="txtFechaCreacion"/>
                    </div>
                  </div>
                </div>
                <div class="form-row">
                  <div class="form-group col-12">
                    <div class="custom-control custom-checkbox">
                      <input class="custom-control-input" id="chkFechaVenc" type="checkbox" [(ngModel)]="tFiltrarFechaVenc"/>
                      <label class="custom-control-label h6" for="chkFechaVenc">Fecha de vencimiento</label>
                    </div>
                    <div class="ControlInput">
                      <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-calendar-alt"></i></span></div>
                      <input class="ControlInput--Input" type="text" placeholder="" [(ngModel)]="tFechasVencimiento" (onHidden)="Seleccionar_Fecha($event)" bsDaterangepicker="" [bsConfig]="{ adaptivePosition: true , rangeInputFormat: 'YYYY-MM-DD' }" size="sm" [disabled]="!tFiltrarFechaVenc" id="txtFechaVencimiento"/>
                    </div>
                  </div>
                </div>
              </div>
              <div class="card-footer">
                <div class="row">
                  <div class="col-12 col-lg-6">
                    <button class="btn btn-sm btn-primary btn-block btn-icon-split" type="button" (click)="Buscar_Ventas()"><span class="icon text-white-50"><i class="fas fa-filter"></i></span><span class="text">Filtrar</span></button>
                  </div>
                  <div class="col-12 col-lg-6">
                    <button class="btn btn-sm btn-secondary btn-block btn-icon-split" type="button" (click)="Limpiar()"><span class="icon text-white-50"><i class="fas fa-broom"></i></span><span class="text">Limpiar</span></button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-12">
            <div class="card shadow mb-2">
              <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between"><a class="d-block" href="#divTipoGraficos" data-toggle="collapse" role="button" aria-expanded="true" aria-controls="divTipoGraficos">
                  <h6 class="m-0 font-weight-bold text-primary">Tipo</h6></a></div>
              <div class="card-body collapse show" id="divTipoGraficos">
                <div class="row">
                  <div class="col-12">
                    <div class="btn-group btn-group-toggle" ngbRadioGroup="ngbRadioGroup" name="rbTipoGraficos" [(ngModel)]="tTipoPie" (change)="MostrarGraficoTipo()">
                      <label class="btn-primary" ngbButtonLabel="ngbButtonLabel">
                        <input type="radio" ngbButton="" [value]="true"/><span class="fas fa-chart-pie"></span>
                      </label>
                      <label class="btn-primary" ngbButtonLabel="ngbButtonLabel">
                        <input type="radio" ngbButton="" [value]="false"/><span class="fas fa-chart-bar"></span>
                      </label>
                    </div>
                  </div>
                </div>
                <div class="row">
                  <div class="col-12">
                    <div class="chart-pie pt-4 pb-2" *ngIf="tTipoPie===true">
                      <canvas #canvasTipo="" id="canvasTipoPie"></canvas>
                    </div>
                    <div class="chart-bar pt-4 pb-2" *ngIf="tTipoPie===false">
                      <canvas #canvasBarra="" id="canvasTipoBarra"></canvas>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-12">
            <div class="card shadow mb-2">
              <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between"><a class="d-block" href="#divEstatusGraficos" data-toggle="collapse" role="button" aria-expanded="true" aria-controls="divEstatusGraficos">
                  <h6 class="m-0 font-weight-bold text-primary">Estatus</h6></a></div>
              <div class="card-body collapse show" id="divEstatusGraficos">
                <div class="row">
                  <div class="col-12">
                    <div class="btn-group btn-group-toggle" ngbRadioGroup="ngbRadioGroup" name="rbEstatusGraficos" [(ngModel)]="tEstatusPie" (change)="MostrarGraficoEstatus()">
                      <label class="btn-primary" ngbButtonLabel="ngbButtonLabel">
                        <input type="radio" ngbButton="" [value]="true"/><span class="fas fa-chart-pie"></span>
                      </label>
                      <label class="btn-primary" ngbButtonLabel="ngbButtonLabel">
                        <input type="radio" ngbButton="" [value]="false"/><span class="fas fa-chart-bar"></span>
                      </label>
                    </div>
                  </div>
                </div>
                <div class="row">
                  <div class="col-12">
                    <div class="chart-pie pt-4 pb-2" *ngIf="tEstatusPie===true">
                      <canvas #canvasPieEstatus="" id="canvasPieEstatus"></canvas>
                    </div>
                    <div class="chart-bar pt-4 pb-2" *ngIf="tEstatusPie===false">
                      <canvas #canvasBarraEstatus="" id="canvasBarraEstatus"></canvas>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-12">
            <div class="card shadow mb-2">
              <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between"><a class="d-block" href="#divSituacionGraficos" data-toggle="collapse" role="button" aria-expanded="true" aria-controls="divSituacionGraficos">
                  <h6 class="m-0 font-weight-bold text-primary">Situación</h6></a></div>
              <div class="card-body collapse show" id="divSituacionGraficos">
                <div class="row">
                  <div class="col-12">
                    <div class="btn-group btn-group-toggle" ngbRadioGroup="ngbRadioGroup" name="rbSituacionGraficos" [(ngModel)]="tSituacionPie" (change)="MostrarGraficoSituacion()">
                      <label class="btn-primary" ngbButtonLabel="ngbButtonLabel">
                        <input type="radio" ngbButton="" [value]="true"/><span class="fas fa-chart-pie"></span>
                      </label>
                      <label class="btn-primary" ngbButtonLabel="ngbButtonLabel">
                        <input type="radio" ngbButton="" [value]="false"/><span class="fas fa-chart-bar"></span>
                      </label>
                    </div>
                  </div>
                </div>
                <div class="row">
                  <div class="col-12">
                    <div class="chart-pie pt-4 pb-2" *ngIf="tSituacionPie===true">
                      <canvas #canvasPieSituacion="" id="canvasPieSituacion"></canvas>
                    </div>
                    <div class="chart-bar pt-4 pb-2" *ngIf="tSituacionPie===false">
                      <canvas #canvasBarraSituacion="" id="canvasBarraSituacion"></canvas>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="form-group col-12 col-lg-8">
        <div class="row">
          <div class="form-group col-12 col-lg-4">
            <div class="card border-left-primary shadow-sm h-100">
              <div class="card-body">
                <div class="row no-gutters align-items-center">
                  <div class="col mr-2">
                    <div class="font-weight-bold text-primary mb-1">Cantidad</div>
                    <div class="h6 mb-0 text-gray-800">{{ tVentas.length | number:'1.0-0' }}</div>
                  </div>
                  <div class="col-auto">
                    <div class="fas fa-calculator fa-2x text-gray-300"></div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="form-group col-12 col-lg-4">
            <div class="card border-left-success shadow-sm h-100">
              <div class="card-body">
                <div class="row no-gutters align-items-center">
                  <div class="col mr-2">
                    <div class="font-weight-bold text-success mb-1">Total de las ventas</div>
                    <div class="h6 mb-0 text-gray-800">{{ TotalVentas() | currency : tEmpresaActual.Simbolo }}</div>
                  </div>
                  <div class="col-auto">
                    <div class="fas fa-coins fa-2x text-gray-300"></div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="form-group col-12 col-lg-4">
            <div class="card border-left-success shadow-sm h-100">
              <div class="card-body">
                <div class="row no-gutters align-items-center">
                  <div class="col mr-2">
                    <div class="font-weight-bold text-success mb-1">Total pagado</div>
                    <div class="h6 mb-0 text-gray-800">{{ TotalPagado() | currency : tEmpresaActual.Simbolo }}</div>
                  </div>
                  <div class="col-auto">
                    <div class="fas fa-coins fa-2x text-gray-300"></div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-4">
            <div class="ControlInput">
              <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-shopping-cart"></i></span></div>
              <select class="ControlInput--Select" [(ngModel)]="tFiltroActual" size-select="sm">
                <option *ngFor="let tFiltro of tFiltros" [ngValue]="tFiltro">{{tFiltro.Filtro}}</option>
              </select>
            </div>
          </div>
          <div class="form-group col-8">
            <input class="form-control form-control-sm" type="text" placeholder="Ingrese busqueda" [(ngModel)]="tFiltroBusqueda"/>
          </div>
        </div>
        <div class="form-row" *ngFor="let tVenta of tVentas | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag; let jv = index">
          <div class="form-group col-12">
            <div class="card border-left-primary shadow-sm h-100">
              <div class="card-body">
                <div class="row no-gutters align-items-center">
                  <div class="col mr-2">
                    <div class="row no-gutters mb-2">
                      <div class="col">
                        <div class="h6"><span class="font-weight-bold text-primary">Venta:</span><span class="text-gray-800">[ {{ tVenta.Tipo }} ] {{ tVenta.Codventa }}</span></div>
                      </div>
                    </div>
                    <div class="row no-gutters mb-2">
                      <div class="col">
                        <div class="h6"><span class="font-weight-bold text-primary">Cliente:</span><span class="text-gray-800">[ {{ tVenta.Codcliente }} ] {{ tVenta.Descripcion }}</span></div>
                      </div>
                    </div>
                    <div class="row no-gutters mb-2">
                      <div class="col">
                        <div class="h6"><span class="font-weight-bold text-primary">Situacion:</span><span class="text-gray-800">{{ tVenta.Situacion }}</span></div>
                      </div>
                      <div class="col">
                        <div class="h6"><span class="font-weight-bold text-primary">Estatus:</span><span class="text-gray-800">{{ tVenta.Estatus }}</span></div>
                      </div>
                    </div>
                    <div class="row no-gutters mb-2">
                      <div class="col mr-2">
                        <div class="h6"><span class="font-weight-bold text-warning">Total:</span><span class="text-gray-800">{{ tVenta.Total | currency : tEmpresaActual.Simbolo }}</span></div>
                      </div>
                      <div class="col">
                        <div class="h6"><span class="font-weight-bold text-success">Pagado:</span><span class="text-gray-800">{{ tVenta.Pagado | currency : tEmpresaActual.Simbolo }}</span></div>
                      </div>
                      <div class="col">
                        <div class="h6"><span class="font-weight-bold text-danger">Pendiente:</span><span class="text-gray-800">{{ ObtenerSaldoPendiente(tVenta) | currency : tEmpresaActual.Simbolo }}</span></div>
                      </div>
                    </div>
                  </div>
                  <div class="col-auto text-center">
                    <div class="row no-gutters mb-2">
                      <div class="col">
                        <div class="row">
                          <div class="col">
                            <div class="h6"><span class="font-weight-bold text-primary">Fecha:</span><span class="text-gray-800">{{ tVenta.Fecha_creacion | date }}</span></div>
                          </div>
                        </div>
                        <div class="row" *ngIf="tVenta.Tipo === 'CREDITO'">
                          <div class="col">
                            <div class="h6"><span class="font-weight-bold text-primary">Venc.:</span><span class="text-gray-800">{{ tVenta.Fecha_vencimiento | date }}</span></div>
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="row no-gutters mb-2">
                      <div class="col">
                        <button class="btn btn-sm btn-primary btn-block btn-icon-split" type="button" (click)="AbrirModalDetalles(tVenta)"><span class="icon text-white-50"><i class="fas fa-eye"></i></span><span class="text">Detalles</span></button>
                      </div>
                    </div>
                    <div class="row no-gutters mb-2">
                      <div class="col">
                        <button class="btn btn-sm btn-success btn-block btn-icon-split" type="button" tittle="Abonar" *ngIf="tVenta.Estatus == 'PENDIENTE' &amp;&amp; tVenta.Tipo == 'CREDITO'" (click)="AbonarFactura(tVenta)"><span class="icon text-white-50"><i class="fas fa-hand-holding-usd"></i></span><span class="text">Abonar</span></button>
                      </div>
                    </div>
                    <div class="row no-gutters mb-2">
                      <div class="col">
                        <button class="btn btn-sm btn-success btn-block btn-icon-split" type="button" tittle="Descargar" (click)="Descargar_Reportes(tVenta)"><span class="icon text-white-50"><i class="fas fa-file-pdf"></i></span><span class="text">Descargar PDF</span></button>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-12">
            <ngb-pagination class="d-flex justify-content-center" [collectionSize]="tVentas.length" [(page)]="tPagina" aria-label="Default pagination" [pageSize]="tTamanoPag"></ngb-pagination>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>